Bug 191854 - [STAGE][PATCH][ADOPT] x11-fonts/cyberbit-ttfonts
[STAGE][PATCH][ADOPT] x11-fonts/cyberbit-ttfonts
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: --- Affects Some People
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2014-07-13 17:50 UTC by A.J. "Fonz" van Werven
Modified: 2014-07-15 18:50 UTC (History)
2 users (show)

See Also:

Patch to update the Makefile, pkg-plist and to add/remove other files. (8.03 KB, patch)
2014-07-13 17:50 UTC, A.J. "Fonz" van Werven
no flags Details | Diff
Replacement of earlier patch. (7.70 KB, patch)
2014-07-14 04:24 UTC, A.J. "Fonz" van Werven
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description A.J. "Fonz" van Werven 2014-07-13 17:50:21 UTC
Created attachment 144637 [details]
Patch to update the Makefile, pkg-plist and to add/remove other files.

The port x11-fonts/cyberbit-ttf hasn't been converted to support staging yet and has been orphaned. I converted the port to support staging, volunteer to maintain it and fixed a few other things.

The attached patch:
* sets new MAINTAINER
* adds new maintainer's mirror to MASTER_SITES
* fixes grammar in COMMENT
* cleans up the way mkfont{dir,scale} are handled
* cleans up the way docs are handled
* uses files/pkg-message.in instead of ${ECHO_CMD}
* adds staging support

The port has been checked with Portlint.
Comment 1 A.J. "Fonz" van Werven 2014-07-14 04:24:19 UTC
Created attachment 144645 [details]
Replacement of earlier patch.

The previous patch accidentally left a few commented-out lines in the Makefile.
Comment 2 commit-hook freebsd_committer 2014-07-15 18:49:18 UTC
A commit references this bug:

Author: swills
Date: Tue Jul 15 18:48:30 UTC 2014
New revision: 361995
URL: http://svnweb.freebsd.org/changeset/ports/361995

  x11-fonts/cyberbit-ttfonts: stage, assign maintainership to submitter, cleanup

  - Stage
  - Assign maintainership to submitter
  - Fix grammar in COMMENT
  - Cleanup installation
  - Cleanup docs
  - Use pkg-message instead of ${ECHO_CMD}

  PR:		191854
  Submitted by:	A.J. "Fonz" van Werven <freebsd@skysmurf.nl>

Comment 3 Steve Wills freebsd_committer 2014-07-15 18:50:09 UTC
Committed, thanks!